/*
 *            Bc635.c - Cover functions for bc635.c
 *
 */

/*
 * DISCLAIMER:
 *
 *   THIS SOFTWARE IS SUPPLIED AS-IS BY THE JOHNS HOPKINS UNIVERSITY/APPLIED PHYSICS
 *   LABORATORY (JHU/APL).
 *
 *   WITH RESPECT TO THE INFORMATION, CODE AND/OR EXECUTABLES PROVIDED HEREIN,
 *   JHU/APL MAKES NO WARRANTIES OF ANY KIND, EITHER EXPRESSED OR IMPLIED,
 *   INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 *   FITNESS FOR A PARTICULAR PURPOSE. IN ADDITION, IN NO EVENT SHALL JHU/APL
 *   BE HELD LIABLE FOR ANY DAMAGES WHATSOEVER INCLUDING DIRECT, INDIRECT, INCIDENTAL,
 *   CONSEQUENTIAL, LOSS OF BUSINESS PROFITS OR SPECIAL DAMAGES, EVEN IF
 *   JHU/APL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*/

#include "bc635.h"

extern int 
Bc635_set_periodic_output(int fd, unsigned int period_microseconds, int one_pps_sync)
{
	int             rtn;
	rtn = bc635_set_periodic_output(fd, period_microseconds, one_pps_sync);
	if (rtn != 0) {
		printf("Error on calling bc635_set_periodic_output( fd,   period_microseconds,  one_pps_sync): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_enable_int(int fd)
{
	int             rtn;
	rtn = bc635_enable_int(fd);
	if (rtn != 0) {
		printf("Error on calling bc635_enable_int( fd): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_disable_int(int fd)
{
	int             rtn;
	rtn = bc635_disable_int(fd);
	if (rtn != 0) {
		printf("Error on calling bc635_disable_int( fd): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_delay(int fd, unsigned int count)
{
	int             rtn;
	rtn = bc635_delay(fd, count);
	if (rtn != 0) {
		printf("Error on calling bc635_delay( fd,   count): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_set_mode(int fd, int seconds)
{
	int             rtn;
	rtn = bc635_set_mode(fd, seconds);
	if (rtn != 0) {
		printf("Error on calling bc635_set_mode( fd,  seconds): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_set_time(int fd, int seconds)
{
	int             rtn;
	rtn = bc635_set_time(fd, seconds);
	if (rtn != 0) {
		printf("Error on calling bc635_set_time( fd,  seconds): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_get_time(int fd, double *seconds, int *lockstatus)
{
	int             rtn;
	rtn = bc635_get_time(fd, seconds, lockstatus);
	if (rtn != 0) {
		printf("Error on calling bc635_get_time( fd, seconds,  lockstatus): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_get_model(int fd, char *model, int len)
{
	int             rtn;
	rtn = bc635_get_model(fd, model, len);
	if (rtn != 0) {
		printf("Error on calling bc635_get_model( fd,  model,  len): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_get_assembly(int fd, char *assembly, int len)
{
	int             rtn;
	rtn = bc635_get_assembly(fd, assembly, len);
	if (rtn != 0) {
		printf("Error on calling bc635_get_assembly( fd,  assembly,  len): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_get_hwfab(int fd, char *hwfab, int len)
{
	int             rtn;
	rtn = bc635_get_hwfab(fd, hwfab, len);
	if (rtn != 0) {
		printf("Error on calling bc635_get_hwfab( fd,  hwfab,  len): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_get_firmware_part(int fd, char *firmware_part, int len)
{
	int             rtn;
	rtn = bc635_get_firmware_part(fd, firmware_part, len);
	if (rtn != 0) {
		printf("Error on calling bc635_get_firmware_part( fd,  firmware_part,  len): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_get_serial(int fd, char *serial, int len)
{
	int             rtn;
	rtn = bc635_get_serial(fd, serial, len);
	if (rtn != 0) {
		printf("Error on calling bc635_get_serial( fd,  serial,  len): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}

extern int 
Bc635_software_reset(int fd)
{
	int             rtn;
	rtn = bc635_software_reset(fd);
	if (rtn != 0) {
		printf("Error on calling bc635_software_reset( fd): %d\n", rtn);
		exit(1);
	}
	return (rtn);
}
