
/*
 * DISCLAIMER:
 *
 *   THIS SOFTWARE IS SUPPLIED AS-IS BY THE JOHNS HOPKINS UNIVERSITY/APPLIED PHYSICS
 *   LABORATORY (JHU/APL).
 *
 *   WITH RESPECT TO THE INFORMATION, CODE AND/OR EXECUTABLES PROVIDED HEREIN,
 *   JHU/APL MAKES NO WARRANTIES OF ANY KIND, EITHER EXPRESSED OR IMPLIED,
 *   INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 *   FITNESS FOR A PARTICULAR PURPOSE. IN ADDITION, IN NO EVENT SHALL JHU/APL
 *   BE HELD LIABLE FOR ANY DAMAGES WHATSOEVER INCLUDING DIRECT, INDIRECT, INCIDENTAL,
 *   CONSEQUENTIAL, LOSS OF BUSINESS PROFITS OR SPECIAL DAMAGES, EVEN IF
 *   JHU/APL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*/

#ifndef __B_C635_H__
#define __B_C635_H__

#include "bc635.h"

extern int Bc635_set_periodic_output(int fd, unsigned int period_microseconds, int one_pps_sync);
extern int Bc635_enable_int(int fd);
extern int Bc635_disable_int(int fd);
extern int Bc635_delay(int fd, unsigned int count);
extern int Bc635_set_mode(int fd, int seconds);
extern int Bc635_set_time(int fd, int seconds);
extern int Bc635_get_time(int fd, double *seconds, int *lockstatus);
extern int Bc635_get_model(int fd, char *model, int len);
extern int Bc635_get_assembly(int fd, char *assembly, int len);
extern int Bc635_get_hwfab(int fd, char *hwfab, int len);
extern int Bc635_get_firmware_part(int fd, char *firmware_part, int len);
extern int Bc635_get_serial(int fd, char *serial, int len);
extern int Bc635_software_reset(int fd);

#endif /* __B_C635_H__ */
